Class Specialization
Dfs Preorder Iterator
Depth-first search iterator for Graph.

IteratorAssociatedTypesConcept

Iter

Dfs Preorder Iterator

Iterator<TGraph, DfsPreorder>
Include Headers
seqan/graph_types.h
Parameters

TGraph | A graph. Types: Graph

Remarks
Preorder means that a vertex is enumerated before its adjacent vertices have been explored.
Specialization of
Iter
Implements
IteratorAssociatedTypesConcept
Metafunctions

Container | Type of the container given an iterator. (Iter)
Difference | Type of an object that stores the difference between two iterators. (Iter)
GetValue | Type for reading values. (Iter)
Iterator | Type of iterator objects that are used to traverse the container. (Iter)
Position | Type of an object that represents a position in a container. (Iter)
Reference | Reference type. (Iter)
Spec | The spec of a class. (Iter)
Value | Type of the items in the container or behind an iterator. (Iter)

Member Functions

Iter | Constructor

Functions

assignValue | Assigns value to item. (Iter)
atBegin | Determines whether an iterator is at the beginning position.
atEnd | Determines whether an iterator is at the end position.
atEndOfSequence | Returns true if the iterator is at the end of a sequence. (Iter)
container | Container of an iterator. (Iter)
difference | The difference between two iterators. (Iter)
getValue | Access to the value.
goBegin | Iterates to the first position of a container.
goEnd | Iterates to the last position of a container.
goFurther | Iterates some steps further. (Iter)
goNext | Iterates to next position.
goPrevious | Iterates to pevious position. (Iter)
hostGraph | The graph this iterator is working on.
moveValue | Assigns value to item. (Iter)
position | Position of an iterator. (Iter)
value | Reference to the value.

See Also
Out-Edge Iterator, Edge Iterator, Bfs Iterator, Adjacency Iterator, Vertex Iterator
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:13:00